Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1285590

Summary: Redshift has no effect in Wayland Session
Product: [Fedora] Fedora Reporter: František Zatloukal <fzatlouk>
Component: redshiftAssignee: Miloš Komarčević <kmilos>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: alexjnewt, bjwyman, bugzilla, bugzilla.redhat.com-2d5c4226, fat.lobyte9, fedora, fredrik, jan.public, johannespfrang, jpokorny, kmilos, kparal, ldoktor, leho, marius.andreiana, martin, mcepl, mcepl, nekohayo, nushoin, ppalka007, redhat-bugzilla, renault, sheepdestroyer, stevengruspier, vashirov, v, yulinux, zbyszek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://bugzilla.gnome.org/show_bug.cgi?id=741224
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-04 19:22:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1277927    

Description František Zatloukal 2015-11-26 00:34:16 UTC
Description of problem:
Redshift doesn't work in Gnome Wayland Session at all.

Version-Release number of selected component (if applicable):
redshift-1.10-4
mutter-3.18.2-1
gnome-shell-3.18.3-1

How reproducible:
Always

Steps to Reproduce:
1. Install Redshift
2. Start Gnome Wayland Session

Actual results:
Redshift has no effect at all.

Expected results:
Redshift should "move" screen colors to red.

Additional info:
Testing should be done during night since Redshift has no visible effect during day.

External bug in upstream: https://github.com/jonls/redshift/issues/260

Comment 1 František Zatloukal 2015-11-28 00:11:45 UTC
External bug in upstream: https://github.com/jonls/redshift/issues/55

Comment 2 Jan Kurik 2016-02-24 14:01:48 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 3 Marius Andreiana 2016-04-21 06:12:38 UTC
Gnome bug (request for a built-in similar feature)
https://bugzilla.gnome.org/show_bug.cgi?id=741224

Comment 4 sheepdestroyer 2016-05-30 13:52:50 UTC
I can confirm that redshift does not work on wayland session on Fedora 24
upstream bug : https://github.com/jonls/redshift/issues/55

Comment 5 Steven Gruspier 2016-08-21 00:31:45 UTC
Still see that it does not work still as of today. So in this case, where do we go from here for a change? Wayland developers? Redshift developers? Gnome developers?

Comment 6 Jeremy Newton 2016-08-24 17:37:04 UTC
(In reply to Steven Gruspier from comment #5)
> Still see that it does not work still as of today. So in this case, where do
> we go from here for a change? Wayland developers? Redshift developers? Gnome
> developers?

I would suggest bugging the GNOME developers, as IIRC it needs to be implemented via the compositor to work. Also, I would doubt they would put it as an API in Wayland, but the GNOME dev's probably have more leverage to get this done.

Comment 7 Steven Gruspier 2016-08-25 00:02:55 UTC
Ah found a request for it here (for those interested):

https://bugzilla.gnome.org/show_bug.cgi?id=741224#c24

Comment 8 ppalka007 2016-11-24 03:40:23 UTC
redshift is now broken by default in F25 due to this issue.  Thankfully, unbreaking it by disabling Wayland is really easy (just uncomment the WayLandEnable line in /etc/gdm/custom.conf).

Comment 9 Kamil Páral 2016-11-24 08:42:23 UTC
(In reply to ppalka007 from comment #8)
> redshift is now broken by default in F25 due to this issue.  Thankfully,
> unbreaking it by disabling Wayland is really easy (just uncomment the
> WayLandEnable line in /etc/gdm/custom.conf).

No, that's not a nice solution. Much easier is to simply pick Xorg as your session type. See e.g. the picture at https://fedoraproject.org/wiki/Common_F25_bugs#Wayland_issues .

Comment 10 Vasco Rodrigues 2016-11-24 11:25:02 UTC
(In reply to Jan Kurik from comment #2)
> This bug appears to have been reported against 'rawhide' during the Fedora
> 24 development cycle.
> Changing version to '24'.
> 
> More information and reason for this action is here:
> https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/
> Fedora24#Rawhide_Rebase

This bug should be moved to version 25. Or at least been considered as FutureFeature in Rawhide.

Comment 11 Jeremy Newton 2016-11-29 17:58:57 UTC
For anyone interested, I made a COPR to work around the issue for now:
https://copr.fedorainfracloud.org/coprs/mystro256/gnome-redshift/

Comment 12 Vasco Rodrigues 2016-11-29 22:21:16 UTC
Thank you Jeremy, works fine. Hope changes get accepted into the gnome-settings-daemon. So it can become an official extension for Gnome shell.

Comment 13 Fedora End Of Life 2017-02-28 09:50:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 14 Jeremy Newton 2017-03-01 21:21:33 UTC
Note that the "nightlight" function landed in Gnome 3.23 a little while ago, which should be in rawhide. I have not tested this myself, but AFAIK, this should provide this functionality.

Comment 15 Jan Pokorný [poki] 2017-04-19 14:56:21 UTC
See also [bug 1443620].

Comment 16 Zbigniew Jędrzejewski-Szmek 2017-08-04 19:22:05 UTC
Nightlight works nicely under gnome-wayland in F26. If there are any issues with that, it should be tracked in new bugs.